Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neuroph.core.transfer
Class Ramp

    java.lang.Object
      org.neuroph.core.transfer.TransferFunction
          org.neuroph.core.transfer.Ramp

All Implemented Interfaces:
  Serializable

    public class Ramp

extends TransferFunction
implements Serializable

Ramp neuron transfer function.

Author:
  Zoran Sevarac
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.neuroph.core.transfer.TransferFunction
`output`

Constructor Summary
`Ramp()` Creates an instance of Ramp transfer function with default settings
`Ramp(double slope, double xLow, double xHigh, double yLow, double yHigh)` Creates an instance of Ramp transfer function with specified settings
`Ramp(Properties properties)` Creates an instance of Ramp transfer function with specified properties.

Method Summary
`double` | `getOutput(double net)` Returns the ouput of this function.
`double` | `getXHigh()` Returns threshold value for the high output level
`double` | `getXLow()` Returns threshold value for the low output level
`double` | `getYHigh()` Returns output value for high output level
`double` | `getYLow()` Returns output value for low output level
`void` | `setXHigh(double x)` Sets threshold for the high output level
`void` | `setXLow(double x)` Sets threshold for the low output level
`void` | `setYHigh(double y)` Sets output value for the high output level
`void` | `setYLow(double y)` Sets output value for the low output level

Methods inherited from class org.neuroph.core.transfer.TransferFunction
`getDerivative`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Ramp

    public Ramp()

  Creates an instance of Ramp transfer function with default settings

### Ramp

    public Ramp(double slope,
                double xLow,
                double xHigh,
                double yLow,
                double yHigh)

  Creates an instance of Ramp transfer function with specified settings

### Ramp

    public Ramp(Properties properties)

  Creates an instance of Ramp transfer function with specified properties.

Method Detail

### getOutput

    public double getOutput(double net)

  Description copied from class: `TransferFunction`
  Returns the ouput of this function.

  Specified by:
    `getOutput` in class `TransferFunction`
  Parameters:
    `net` - net input

### getXLow

    public double getXLow()

  Returns threshold value for the low output level

  Returns:
    threshold value for the low output level

### setXLow

    public void setXLow(double x)

  Sets threshold for the low output level

  Parameters:
    `x` - threshold value for the low output level

### getXHigh

    public double getXHigh()

  Returns threshold value for the high output level

  Returns:
    threshold value for the high output level

### setXHigh

    public void setXHigh(double x)

  Sets threshold for the high output level

  Parameters:
    `x` - threshold value for the high output level

### getYLow

    public double getYLow()

  Returns output value for low output level

  Returns:
    output value for low output level

### setYLow

    public void setYLow(double y)

  Sets output value for the low output level

  Parameters:
    `y` - value for the low output level

### getYHigh

    public double getYHigh()

  Returns output value for high output level

  Returns:
    output value for high output level

### setYHigh

    public void setYHigh(double y)

  Sets output value for the high output level

  Parameters:
    `y` - value for the high output level

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.